<?php
declare(strict_types=1);

namespace AuxCF\Entities\Field\Traits;

trait PlaceholderTraits
{
  protected string $placeholder = '';

  public function setPlaceholder(string $placeholder): self
  {
    $this->placeholder = $placeholder;
    return $this;
  }

  protected function getPlaceholderArray(): array
  {
    return [
      'placeholder' => $this->placeholder
    ];
  }
}
